> ## Documentation Index
> Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Watchlist and AML Screening Report Download

> Download the PDF report for a specific match from watchlist and AML screening verification results.



## OpenAPI

````yaml api-reference/openapi.json GET /api/v3/verifications/aml/{trustValidationId}/{resourceId}
openapi: 3.0.3
info:
  title: IDmeta API
  description: IDmeta verification and integration API.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://{environment-subdomain}.idmetagroup.com
    description: Your environment (replace `{environment-subdomain}`)
    variables:
      environment-subdomain:
        default: integrate
        description: IDmeta environment subdomain
security:
  - bearerAuth: []
tags:
  - name: Processes
    description: Verification process endpoints
  - name: Trust Flow Links
    description: Trust Flow link generation endpoints
  - name: Compliance
    description: Compliance verification endpoints
  - name: Government Data
    description: Government data verification endpoints
  - name: Alternative Verifications
    description: Alternative verification and intelligence endpoints
  - name: OCR
    description: Document OCR extraction endpoints
paths:
  /api/v3/verifications/aml/{trustValidationId}/{resourceId}:
    get:
      tags:
        - Compliance
      summary: Watchlist and AML Screening Report Download
      description: >-
        Downloads the PDF report for a specific match from watchlist and AML
        screening verification results. Use the `resourceId` from the `matches`
        array returned by **Watchlist and AML screening**.
      operationId: watchlistAmlReportDownloadV3
      parameters:
        - name: trustValidationId
          in: path
          required: true
          description: Trust validation ID for the AML screening session.
          schema:
            type: string
          example: '{your_trust_validation_id}'
        - name: resourceId
          in: path
          required: true
          description: >-
            Resource ID of the match to download. Retrieved from the
            `resourceId` field in watchlist and AML screening results.
          schema:
            type: string
          example: '{resource_id}'
        - name: Accept
          in: header
          required: false
          schema:
            type: string
            default: application/json
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/json
      responses:
        '200':
          description: Watchlist and AML screening report downloaded successfully
          headers:
            Content-Type:
              schema:
                type: string
                example: application/pdf
            Content-Disposition:
              schema:
                type: string
                example: attachment; filename="aml-report.pdf"
          content:
            application/pdf:
              schema:
                type: string
                format: binary
                description: PDF report for the specified AML match.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Use `Bearer {your_api_token}` in the Authorization header.

````